"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var canvas_plugin_common_1 = require("./canvas-plugin.common");
var color_1 = require("tns-core-modules/color");
var CanvasGradient = (function (_super) {
    __extends(CanvasGradient, _super);
    function CanvasGradient(nativeInstance) {
        var _this = _super.call(this) || this;
        _this.nativeInstance = nativeInstance;
        return _this;
    }
    CanvasGradient.prototype.addColorStop = function (offset, color) {
        this.nativeInstance.addColorStop(offset, new color_1.Color(color).android);
    };
    CanvasGradient.fromNative = function (nativeInstance) {
        return new CanvasGradient(nativeInstance);
    };
    Object.defineProperty(CanvasGradient.prototype, "native", {
        get: function () {
            return this.nativeInstance;
        },
        enumerable: true,
        configurable: true
    });
    return CanvasGradient;
}(canvas_plugin_common_1.CanvasGradientBase));
exports.CanvasGradient = CanvasGradient;
//# sourceMappingURL=CanvasGradient.android.js.map