"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var canvas_plugin_common_1 = require("./canvas-plugin.common");
var ImageData = (function (_super) {
    __extends(ImageData, _super);
    function ImageData(nativeInstance) {
        var _this = _super.call(this, nativeInstance) || this;
        _this.data = Uint8ClampedArray.from(nativeInstance.getData());
        return _this;
    }
    ImageData.fromNative = function (nativeInstance) {
        return new ImageData(nativeInstance);
    };
    ImageData.from = function (instance) {
        return new ImageData(instance.nativeInstance);
    };
    return ImageData;
}(canvas_plugin_common_1.ImageDataBase));
exports.ImageData = ImageData;
//# sourceMappingURL=ImageData.android.js.map