import { TNSDOMMatrix } from './TNSDOMMatrix';
import { TNSCanvasBase } from './canvas-plugin.common';
import { TNSCanvasRenderingContext2D } from './TNSCanvasRenderingContext2D';
import { TNSWebGLRenderingContext } from './TNSWebGLRenderingContext';
import { TNSWebGL2RenderingContext } from './TNSWebGL2RenderingContext';
export declare function createSVGMatrix(): TNSDOMMatrix;
export * from './canvas-plugin.common';
export declare class TNSCanvas extends TNSCanvasBase {
    private _2dContext;
    private _webglContext;
    private canvas;
    constructor();
    createNativeView(): any;
    readonly clientWidth: number;
    readonly clientHeight: number;
    initNativeView(): void;
    private _didPause;
    onUnloaded(): void;
    onLoaded(): void;
    flush(): void;
    disposeNativeView(): void;
    toDataURL(type?: string, encoderOptions?: number): any;
    getContext(type: string, options?: any): TNSCanvasRenderingContext2D | TNSWebGLRenderingContext | TNSWebGL2RenderingContext | null;
    getBoundingClientRect(): {
        x: number;
        y: number;
        width: number;
        height: number;
        top: number;
        right: number;
        bottom: number;
        left: number;
    };
}
