import { TNSDOMMatrix } from './TNSDOMMatrix';
import { TNSCanvasBase } from './canvas-plugin.common';
import { TNSCanvasRenderingContext2D } from './TNSCanvasRenderingContext2D';
import { TNSWebGLRenderingContext } from './TNSWebGLRenderingContext';
import { TNSWebGL2RenderingContext } from './TNSWebGL2RenderingContext';
export declare function createSVGMatrix(): TNSDOMMatrix;
export * from './canvas-plugin.common';
export declare class TNSCanvas extends TNSCanvasBase {
    private _2dContext;
    private _webglContext;
    useMetal: boolean;
    constructor();
    readonly clientWidth: number;
    readonly clientHeight: number;
    flush(): void;
    createNativeView(): any;
    private _didPause;
    onUnloaded(): void;
    private _isReady;
    onLoaded(): void;
    onLayout(left: number, top: number, right: number, bottom: number): void;
    disposeNativeView(): void;
    getContext(type: string, options?: any): TNSCanvasRenderingContext2D | TNSWebGLRenderingContext | TNSWebGL2RenderingContext | null;
    toDataURL(type?: string, encoderOptions?: number): any;
    getBoundingClientRect(): {
        x: number;
        y: number;
        width: number;
        height: number;
        top: number;
        right: number;
        bottom: number;
        left: number;
    };
}
