"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var canvas_plugin_common_1 = require("./canvas-plugin.common");
var TNSTextEncoder = (function (_super) {
    __extends(TNSTextEncoder, _super);
    function TNSTextEncoder(encoding) {
        if (encoding === void 0) { encoding = 'utf8'; }
        return _super.call(this, new com.github.triniwiz.canvas.TextEncoder(encoding)) || this;
    }
    Object.defineProperty(TNSTextEncoder.prototype, "encoding", {
        get: function () {
            return this.native.getEncoding();
        },
        enumerable: true,
        configurable: true
    });
    TNSTextEncoder.prototype.encode = function (text) {
        if (text === undefined) {
            return new Uint8Array(0);
        }
        else if (text === null) {
            text = 'null';
        }
        var value = java.nio.ByteBuffer.wrap(this.native.encode(text));
        var buf = ArrayBuffer.from(value);
        return new Uint8Array(buf);
    };
    return TNSTextEncoder;
}(canvas_plugin_common_1.TNSTextEncoderBase));
exports.TNSTextEncoder = TNSTextEncoder;
//# sourceMappingURL=TNSTextEncoder.android.js.map