"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var canvas_plugin_common_1 = require("./canvas-plugin.common");
var TNSTextEncoder = (function (_super) {
    __extends(TNSTextEncoder, _super);
    function TNSTextEncoder(encoding) {
        if (encoding === void 0) { encoding = 'utf-8'; }
        return _super.call(this, NativeTextEncoder.alloc().initWithEncoding(encoding)) || this;
    }
    Object.defineProperty(TNSTextEncoder.prototype, "encoding", {
        get: function () {
            return this.native.encoding;
        },
        enumerable: true,
        configurable: true
    });
    TNSTextEncoder.prototype.encode = function (text) {
        var raw = this.native.encodeWithText(text);
        return new Uint8Array(interop.bufferFromData(raw));
    };
    return TNSTextEncoder;
}(canvas_plugin_common_1.TNSTextEncoderBase));
exports.TNSTextEncoder = TNSTextEncoder;
//# sourceMappingURL=TNSTextEncoder.ios.js.map